import{s as nr,n as ir,o as dr}from"../chunks/scheduler.182ea377.js";import{S as cr,i as mr,g as a,s as r,r as m,A as gr,h as s,f as n,c as o,j as _,u as g,x as p,k as v,y as t,a as $,v as l,d as f,t as u,w as h}from"../chunks/index.abf12888.js";import{D as b}from"../chunks/Docstring.93f6f462.js";import{H as At}from"../chunks/Heading.16916d63.js";function pr(Ft){let P,Te,Ce,De,W,Ee,U,Rt='The <code>VaeImageProcessor</code> provides a unified API for <a href="/docs/diffusers/main/en/api/pipelines/stable_diffusion/text2img#diffusers.StableDiffusionPipeline">StableDiffusionPipeline</a>s to prepare image inputs for VAE encoding and post-processing outputs once they’re decoded. This includes transformations such as resizing, normalization, and conversion between PIL Image, PyTorch, and NumPy arrays.',Me,O,Wt="All pipelines with <code>VaeImageProcessor</code> accept PIL Image, PyTorch tensor, or NumPy arrays as image inputs and return outputs based on the <code>output_type</code> argument by the user. You can pass encoded image latents directly to the pipeline and return latents from the pipeline as a specific output with the <code>output_type</code> argument (for example <code>output_type=&quot;latent&quot;</code>). This allows you to take the generated latents from one pipeline and pass it to another pipeline as input without leaving the latent space. It also makes it much easier to use multiple pipelines together by passing PyTorch tensors directly between different pipelines.",Ne,q,ke,i,B,ot,me,Ut="Image processor for VAE.",at,x,S,st,ge,Ot="Create a mask.",nt,V,j,it,pe,qt="Converts a PIL image to grayscale format.",dt,L,G,ct,le,Bt="Converts a PIL image to RGB format.",mt,w,Y,gt,fe,St="Denormalize an image array to [0,1].",pt,C,J,lt,ue,jt=`This function return the height and width that are downscaled to the next integer multiple of
<code>vae_scale_factor</code>.`,ft,z,K,ut,he,Gt="Normalize an image array to [-1,1].",ht,T,Q,_t,_e,Yt="Convert a numpy image or a batch of images to a PIL image.",vt,D,X,bt,ve,Jt="Convert a NumPy image to a PyTorch tensor.",$t,E,Z,yt,be,Kt="Convert a PIL image or a list of PIL images to NumPy arrays.",It,M,ee,Pt,$e,Qt="Postprocess the image output from tensor to <code>output_type</code>.",xt,N,te,Vt,ye,Xt="Preprocess the image input. Accepted formats are PIL images, NumPy arrays or PyTorch tensors.",Lt,k,re,wt,Ie,Zt="Convert a PyTorch tensor to a NumPy image.",Ct,H,oe,zt,Pe,er="Resize image.",He,ae,Ae,se,tr="The <code>VaeImageProcessorLDM3D</code> accepts RGB and depth inputs and returns RGB and depth outputs.",Fe,y,ne,Tt,xe,rr="Image processor for VAE LDM3D.",Dt,A,ie,Et,Ve,or="Convert a NumPy depth image or a batch of images to a PIL image.",Mt,F,de,Nt,Le,ar="Convert a NumPy image or a batch of images to a PIL image.",kt,R,ce,Ht,we,sr="Returns: depth map",Re,ze,We;return W=new At({props:{title:"VAE Image Processor",local:"vae-image-processor",headingTag:"h1"}}),q=new At({props:{title:"VaeImageProcessor",local:"diffusers.image_processor.VaeImageProcessor",headingTag:"h2"}}),B=new b({props:{name:"class diffusers.image_processor.VaeImageProcessor",anchor:"diffusers.image_processor.VaeImageProcessor",parameters:[{name:"do_resize",val:": bool = True"},{name:"vae_scale_factor",val:": int = 8"},{name:"resample",val:": str = 'lanczos'"},{name:"do_normalize",val:": bool = True"},{name:"do_binarize",val:": bool = False"},{name:"do_convert_rgb",val:": bool = False"},{name:"do_convert_grayscale",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to downscale the image&#x2019;s (height, width) dimensions to multiples of <code>vae_scale_factor</code>. Can accept
<code>height</code> and <code>width</code> arguments from <a href="/docs/diffusers/main/en/api/image_processor#diffusers.image_processor.VaeImageProcessor.preprocess">image_processor.VaeImageProcessor.preprocess()</a> method.`,name:"do_resize"},{anchor:"diffusers.image_processor.VaeImageProcessor.vae_scale_factor",description:`<strong>vae_scale_factor</strong> (<code>int</code>, <em>optional</em>, defaults to <code>8</code>) &#x2014;
VAE scale factor. If <code>do_resize</code> is <code>True</code>, the image is automatically resized to multiples of this factor.`,name:"vae_scale_factor"},{anchor:"diffusers.image_processor.VaeImageProcessor.resample",description:`<strong>resample</strong> (<code>str</code>, <em>optional</em>, defaults to <code>lanczos</code>) &#x2014;
Resampling filter to use when resizing the image.`,name:"resample"},{anchor:"diffusers.image_processor.VaeImageProcessor.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image to [-1,1].`,name:"do_normalize"},{anchor:"diffusers.image_processor.VaeImageProcessor.do_binarize",description:`<strong>do_binarize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to binarize the image to 0/1.`,name:"do_binarize"},{anchor:"diffusers.image_processor.VaeImageProcessor.do_convert_rgb",description:`<strong>do_convert_rgb</strong> (<code>bool</code>, <em>optional</em>, defaults to be <code>False</code>) &#x2014;
Whether to convert the images to RGB format.`,name:"do_convert_rgb"},{anchor:"diffusers.image_processor.VaeImageProcessor.do_convert_grayscale",description:`<strong>do_convert_grayscale</strong> (<code>bool</code>, <em>optional</em>, defaults to be <code>False</code>) &#x2014;
Whether to convert the images to grayscale format.`,name:"do_convert_grayscale"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L37"}}),S=new b({props:{name:"binarize",anchor:"diffusers.image_processor.VaeImageProcessor.binarize",parameters:[{name:"image",val:": Image"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.binarize.image",description:`<strong>image</strong> (<code>PIL.Image.Image</code>) &#x2014;
The image input, should be a PIL image.`,name:"image"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L240",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The binarized image. Values less than 0.5 are set to 0, values greater than 0.5 are set to 1.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>PIL.Image.Image</code></p>
`}}),j=new b({props:{name:"convert_to_grayscale",anchor:"diffusers.image_processor.VaeImageProcessor.convert_to_grayscale",parameters:[{name:"image",val:": Image"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L151"}}),G=new b({props:{name:"convert_to_rgb",anchor:"diffusers.image_processor.VaeImageProcessor.convert_to_rgb",parameters:[{name:"image",val:": Image"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L142"}}),Y=new b({props:{name:"denormalize",anchor:"diffusers.image_processor.VaeImageProcessor.denormalize",parameters:[{name:"images",val:": typing.Union[numpy.ndarray, torch.Tensor]"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L135"}}),J=new b({props:{name:"get_default_height_width",anchor:"diffusers.image_processor.VaeImageProcessor.get_default_height_width",parameters:[{name:"image",val:": typing.Union[PIL.Image.Image, numpy.ndarray, torch.Tensor]"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.get_default_height_width.image(PIL.Image.Image,",description:`<strong>image(<code>PIL.Image.Image</code>,</strong> <code>np.ndarray</code> or <code>torch.Tensor</code>) &#x2014;
The image input, can be a PIL image, numpy array or pytorch tensor. if it is a numpy array, should have
shape <code>[batch, height, width]</code> or <code>[batch, height, width, channel]</code> if it is a pytorch tensor, should
have shape <code>[batch, channel, height, width]</code>.`,name:"image(PIL.Image.Image,"},{anchor:"diffusers.image_processor.VaeImageProcessor.get_default_height_width.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The height in preprocessed image. If <code>None</code>, will use the height of <code>image</code> input.`,name:"height"},{anchor:"diffusers.image_processor.VaeImageProcessor.get_default_height_width.width",description:"<strong>width</strong> (<code>int</code>, <em>optional</em><code>, defaults to </code>None<code>) -- The width in preprocessed. If </code>None<code>, will use the width of the </code>image` input.",name:"width"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L160"}}),K=new b({props:{name:"normalize",anchor:"diffusers.image_processor.VaeImageProcessor.normalize",parameters:[{name:"images",val:": typing.Union[numpy.ndarray, torch.Tensor]"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L128"}}),Q=new b({props:{name:"numpy_to_pil",anchor:"diffusers.image_processor.VaeImageProcessor.numpy_to_pil",parameters:[{name:"images",val:": ndarray"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L81"}}),X=new b({props:{name:"numpy_to_pt",anchor:"diffusers.image_processor.VaeImageProcessor.numpy_to_pt",parameters:[{name:"images",val:": ndarray"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L109"}}),Z=new b({props:{name:"pil_to_numpy",anchor:"diffusers.image_processor.VaeImageProcessor.pil_to_numpy",parameters:[{name:"images",val:": typing.Union[typing.List[PIL.Image.Image], PIL.Image.Image]"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L97"}}),ee=new b({props:{name:"postprocess",anchor:"diffusers.image_processor.VaeImageProcessor.postprocess",parameters:[{name:"image",val:": FloatTensor"},{name:"output_type",val:": str = 'pil'"},{name:"do_denormalize",val:": typing.Optional[typing.List[bool]] = None"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.postprocess.image",description:`<strong>image</strong> (<code>torch.FloatTensor</code>) &#x2014;
The image input, should be a pytorch tensor with shape <code>B x C x H x W</code>.`,name:"image"},{anchor:"diffusers.image_processor.VaeImageProcessor.postprocess.output_type",description:`<strong>output_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>pil</code>) &#x2014;
The output type of the image, can be one of <code>pil</code>, <code>np</code>, <code>pt</code>, <code>latent</code>.`,name:"output_type"},{anchor:"diffusers.image_processor.VaeImageProcessor.postprocess.do_denormalize",description:`<strong>do_denormalize</strong> (<code>List[bool]</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Whether to denormalize the image to [0,1]. If <code>None</code>, will use the value of <code>do_normalize</code> in the
<code>VaeImageProcessor</code> config.`,name:"do_denormalize"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L345",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The postprocessed image.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>PIL.Image.Image</code>, <code>np.ndarray</code> or <code>torch.FloatTensor</code></p>
`}}),te=new b({props:{name:"preprocess",anchor:"diffusers.image_processor.VaeImageProcessor.preprocess",parameters:[{name:"image",val:": typing.Union[torch.FloatTensor, PIL.Image.Image, numpy.ndarray]"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L256"}}),re=new b({props:{name:"pt_to_numpy",anchor:"diffusers.image_processor.VaeImageProcessor.pt_to_numpy",parameters:[{name:"images",val:": FloatTensor"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L120"}}),oe=new b({props:{name:"resize",anchor:"diffusers.image_processor.VaeImageProcessor.resize",parameters:[{name:"image",val:": typing.Union[PIL.Image.Image, numpy.ndarray, torch.Tensor]"},{name:"height",val:": typing.Optional[int] = None"},{name:"width",val:": typing.Optional[int] = None"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessor.resize.image",description:`<strong>image</strong> (<code>PIL.Image.Image</code>, <code>np.ndarray</code> or <code>torch.Tensor</code>) &#x2014;
The image input, can be a PIL image, numpy array or pytorch tensor.`,name:"image"},{anchor:"diffusers.image_processor.VaeImageProcessor.resize.height",description:`<strong>height</strong> (<code>int</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The height to resize to.`,name:"height"},{anchor:"diffusers.image_processor.VaeImageProcessor.resize.width",description:"<strong>width</strong> (<code>int</code>, <em>optional</em><code>, defaults to </code>None`) &#x2014;\nThe width to resize to.",name:"width"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L203",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The resized image.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>PIL.Image.Image</code>, <code>np.ndarray</code> or <code>torch.Tensor</code></p>
`}}),ae=new At({props:{title:"VaeImageProcessorLDM3D",local:"diffusers.image_processor.VaeImageProcessorLDM3D",headingTag:"h2"}}),ne=new b({props:{name:"class diffusers.image_processor.VaeImageProcessorLDM3D",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D",parameters:[{name:"do_resize",val:": bool = True"},{name:"vae_scale_factor",val:": int = 8"},{name:"resample",val:": str = 'lanczos'"},{name:"do_normalize",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.do_resize",description:`<strong>do_resize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to downscale the image&#x2019;s (height, width) dimensions to multiples of <code>vae_scale_factor</code>.`,name:"do_resize"},{anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.vae_scale_factor",description:`<strong>vae_scale_factor</strong> (<code>int</code>, <em>optional</em>, defaults to <code>8</code>) &#x2014;
VAE scale factor. If <code>do_resize</code> is <code>True</code>, the image is automatically resized to multiples of this factor.`,name:"vae_scale_factor"},{anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.resample",description:`<strong>resample</strong> (<code>str</code>, <em>optional</em>, defaults to <code>lanczos</code>) &#x2014;
Resampling filter to use when resizing the image.`,name:"resample"},{anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.do_normalize",description:`<strong>do_normalize</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to normalize the image to [-1,1].`,name:"do_normalize"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L401"}}),ie=new b({props:{name:"numpy_to_depth",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.numpy_to_depth",parameters:[{name:"images",val:": ndarray"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L455"}}),de=new b({props:{name:"numpy_to_pil",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.numpy_to_pil",parameters:[{name:"images",val:": ndarray"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L428"}}),ce=new b({props:{name:"rgblike_to_depthmap",anchor:"diffusers.image_processor.VaeImageProcessorLDM3D.rgblike_to_depthmap",parameters:[{name:"image",val:": typing.Union[numpy.ndarray, torch.Tensor]"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/image_processor.py#L444"}}),{c(){P=a("meta"),Te=r(),Ce=a("p"),De=r(),m(W.$$.fragment),Ee=r(),U=a("p"),U.innerHTML=Rt,Me=r(),O=a("p"),O.innerHTML=Wt,Ne=r(),m(q.$$.fragment),ke=r(),i=a("div"),m(B.$$.fragment),ot=r(),me=a("p"),me.textContent=Ut,at=r(),x=a("div"),m(S.$$.fragment),st=r(),ge=a("p"),ge.textContent=Ot,nt=r(),V=a("div"),m(j.$$.fragment),it=r(),pe=a("p"),pe.textContent=qt,dt=r(),L=a("div"),m(G.$$.fragment),ct=r(),le=a("p"),le.textContent=Bt,mt=r(),w=a("div"),m(Y.$$.fragment),gt=r(),fe=a("p"),fe.textContent=St,pt=r(),C=a("div"),m(J.$$.fragment),lt=r(),ue=a("p"),ue.innerHTML=jt,ft=r(),z=a("div"),m(K.$$.fragment),ut=r(),he=a("p"),he.textContent=Gt,ht=r(),T=a("div"),m(Q.$$.fragment),_t=r(),_e=a("p"),_e.textContent=Yt,vt=r(),D=a("div"),m(X.$$.fragment),bt=r(),ve=a("p"),ve.textContent=Jt,$t=r(),E=a("div"),m(Z.$$.fragment),yt=r(),be=a("p"),be.textContent=Kt,It=r(),M=a("div"),m(ee.$$.fragment),Pt=r(),$e=a("p"),$e.innerHTML=Qt,xt=r(),N=a("div"),m(te.$$.fragment),Vt=r(),ye=a("p"),ye.textContent=Xt,Lt=r(),k=a("div"),m(re.$$.fragment),wt=r(),Ie=a("p"),Ie.textContent=Zt,Ct=r(),H=a("div"),m(oe.$$.fragment),zt=r(),Pe=a("p"),Pe.textContent=er,He=r(),m(ae.$$.fragment),Ae=r(),se=a("p"),se.innerHTML=tr,Fe=r(),y=a("div"),m(ne.$$.fragment),Tt=r(),xe=a("p"),xe.textContent=rr,Dt=r(),A=a("div"),m(ie.$$.fragment),Et=r(),Ve=a("p"),Ve.textContent=or,Mt=r(),F=a("div"),m(de.$$.fragment),Nt=r(),Le=a("p"),Le.textContent=ar,kt=r(),R=a("div"),m(ce.$$.fragment),Ht=r(),we=a("p"),we.textContent=sr,Re=r(),ze=a("p"),this.h()},l(e){const c=gr("svelte-u9bgzb",document.head);P=s(c,"META",{name:!0,content:!0}),c.forEach(n),Te=o(e),Ce=s(e,"P",{}),_(Ce).forEach(n),De=o(e),g(W.$$.fragment,e),Ee=o(e),U=s(e,"P",{"data-svelte-h":!0}),p(U)!=="svelte-lut875"&&(U.innerHTML=Rt),Me=o(e),O=s(e,"P",{"data-svelte-h":!0}),p(O)!=="svelte-15xkwv1"&&(O.innerHTML=Wt),Ne=o(e),g(q.$$.fragment,e),ke=o(e),i=s(e,"DIV",{class:!0});var d=_(i);g(B.$$.fragment,d),ot=o(d),me=s(d,"P",{"data-svelte-h":!0}),p(me)!=="svelte-20k7u4"&&(me.textContent=Ut),at=o(d),x=s(d,"DIV",{class:!0});var Ue=_(x);g(S.$$.fragment,Ue),st=o(Ue),ge=s(Ue,"P",{"data-svelte-h":!0}),p(ge)!=="svelte-1jdqg5n"&&(ge.textContent=Ot),Ue.forEach(n),nt=o(d),V=s(d,"DIV",{class:!0});var Oe=_(V);g(j.$$.fragment,Oe),it=o(Oe),pe=s(Oe,"P",{"data-svelte-h":!0}),p(pe)!=="svelte-vsbjec"&&(pe.textContent=qt),Oe.forEach(n),dt=o(d),L=s(d,"DIV",{class:!0});var qe=_(L);g(G.$$.fragment,qe),ct=o(qe),le=s(qe,"P",{"data-svelte-h":!0}),p(le)!=="svelte-ckvlrc"&&(le.textContent=Bt),qe.forEach(n),mt=o(d),w=s(d,"DIV",{class:!0});var Be=_(w);g(Y.$$.fragment,Be),gt=o(Be),fe=s(Be,"P",{"data-svelte-h":!0}),p(fe)!=="svelte-ipi2rr"&&(fe.textContent=St),Be.forEach(n),pt=o(d),C=s(d,"DIV",{class:!0});var Se=_(C);g(J.$$.fragment,Se),lt=o(Se),ue=s(Se,"P",{"data-svelte-h":!0}),p(ue)!=="svelte-kfv3nk"&&(ue.innerHTML=jt),Se.forEach(n),ft=o(d),z=s(d,"DIV",{class:!0});var je=_(z);g(K.$$.fragment,je),ut=o(je),he=s(je,"P",{"data-svelte-h":!0}),p(he)!=="svelte-1l17iqw"&&(he.textContent=Gt),je.forEach(n),ht=o(d),T=s(d,"DIV",{class:!0});var Ge=_(T);g(Q.$$.fragment,Ge),_t=o(Ge),_e=s(Ge,"P",{"data-svelte-h":!0}),p(_e)!=="svelte-49eriv"&&(_e.textContent=Yt),Ge.forEach(n),vt=o(d),D=s(d,"DIV",{class:!0});var Ye=_(D);g(X.$$.fragment,Ye),bt=o(Ye),ve=s(Ye,"P",{"data-svelte-h":!0}),p(ve)!=="svelte-uauale"&&(ve.textContent=Jt),Ye.forEach(n),$t=o(d),E=s(d,"DIV",{class:!0});var Je=_(E);g(Z.$$.fragment,Je),yt=o(Je),be=s(Je,"P",{"data-svelte-h":!0}),p(be)!=="svelte-x3z8ka"&&(be.textContent=Kt),Je.forEach(n),It=o(d),M=s(d,"DIV",{class:!0});var Ke=_(M);g(ee.$$.fragment,Ke),Pt=o(Ke),$e=s(Ke,"P",{"data-svelte-h":!0}),p($e)!=="svelte-m705s9"&&($e.innerHTML=Qt),Ke.forEach(n),xt=o(d),N=s(d,"DIV",{class:!0});var Qe=_(N);g(te.$$.fragment,Qe),Vt=o(Qe),ye=s(Qe,"P",{"data-svelte-h":!0}),p(ye)!=="svelte-10dsfen"&&(ye.textContent=Xt),Qe.forEach(n),Lt=o(d),k=s(d,"DIV",{class:!0});var Xe=_(k);g(re.$$.fragment,Xe),wt=o(Xe),Ie=s(Xe,"P",{"data-svelte-h":!0}),p(Ie)!=="svelte-1acncdu"&&(Ie.textContent=Zt),Xe.forEach(n),Ct=o(d),H=s(d,"DIV",{class:!0});var Ze=_(H);g(oe.$$.fragment,Ze),zt=o(Ze),Pe=s(Ze,"P",{"data-svelte-h":!0}),p(Pe)!=="svelte-si84j5"&&(Pe.textContent=er),Ze.forEach(n),d.forEach(n),He=o(e),g(ae.$$.fragment,e),Ae=o(e),se=s(e,"P",{"data-svelte-h":!0}),p(se)!=="svelte-12yfhhz"&&(se.innerHTML=tr),Fe=o(e),y=s(e,"DIV",{class:!0});var I=_(y);g(ne.$$.fragment,I),Tt=o(I),xe=s(I,"P",{"data-svelte-h":!0}),p(xe)!=="svelte-bz065s"&&(xe.textContent=rr),Dt=o(I),A=s(I,"DIV",{class:!0});var et=_(A);g(ie.$$.fragment,et),Et=o(et),Ve=s(et,"P",{"data-svelte-h":!0}),p(Ve)!=="svelte-1k4lt1u"&&(Ve.textContent=or),et.forEach(n),Mt=o(I),F=s(I,"DIV",{class:!0});var tt=_(F);g(de.$$.fragment,tt),Nt=o(tt),Le=s(tt,"P",{"data-svelte-h":!0}),p(Le)!=="svelte-1gut907"&&(Le.textContent=ar),tt.forEach(n),kt=o(I),R=s(I,"DIV",{class:!0});var rt=_(R);g(ce.$$.fragment,rt),Ht=o(rt),we=s(rt,"P",{"data-svelte-h":!0}),p(we)!=="svelte-ectrn8"&&(we.textContent=sr),rt.forEach(n),I.forEach(n),Re=o(e),ze=s(e,"P",{}),_(ze).forEach(n),this.h()},h(){v(P,"name","hf:doc:metadata"),v(P,"content",lr),v(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(k,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(i,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(A,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(F,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),v(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,c){t(document.head,P),$(e,Te,c),$(e,Ce,c),$(e,De,c),l(W,e,c),$(e,Ee,c),$(e,U,c),$(e,Me,c),$(e,O,c),$(e,Ne,c),l(q,e,c),$(e,ke,c),$(e,i,c),l(B,i,null),t(i,ot),t(i,me),t(i,at),t(i,x),l(S,x,null),t(x,st),t(x,ge),t(i,nt),t(i,V),l(j,V,null),t(V,it),t(V,pe),t(i,dt),t(i,L),l(G,L,null),t(L,ct),t(L,le),t(i,mt),t(i,w),l(Y,w,null),t(w,gt),t(w,fe),t(i,pt),t(i,C),l(J,C,null),t(C,lt),t(C,ue),t(i,ft),t(i,z),l(K,z,null),t(z,ut),t(z,he),t(i,ht),t(i,T),l(Q,T,null),t(T,_t),t(T,_e),t(i,vt),t(i,D),l(X,D,null),t(D,bt),t(D,ve),t(i,$t),t(i,E),l(Z,E,null),t(E,yt),t(E,be),t(i,It),t(i,M),l(ee,M,null),t(M,Pt),t(M,$e),t(i,xt),t(i,N),l(te,N,null),t(N,Vt),t(N,ye),t(i,Lt),t(i,k),l(re,k,null),t(k,wt),t(k,Ie),t(i,Ct),t(i,H),l(oe,H,null),t(H,zt),t(H,Pe),$(e,He,c),l(ae,e,c),$(e,Ae,c),$(e,se,c),$(e,Fe,c),$(e,y,c),l(ne,y,null),t(y,Tt),t(y,xe),t(y,Dt),t(y,A),l(ie,A,null),t(A,Et),t(A,Ve),t(y,Mt),t(y,F),l(de,F,null),t(F,Nt),t(F,Le),t(y,kt),t(y,R),l(ce,R,null),t(R,Ht),t(R,we),$(e,Re,c),$(e,ze,c),We=!0},p:ir,i(e){We||(f(W.$$.fragment,e),f(q.$$.fragment,e),f(B.$$.fragment,e),f(S.$$.fragment,e),f(j.$$.fragment,e),f(G.$$.fragment,e),f(Y.$$.fragment,e),f(J.$$.fragment,e),f(K.$$.fragment,e),f(Q.$$.fragment,e),f(X.$$.fragment,e),f(Z.$$.fragment,e),f(ee.$$.fragment,e),f(te.$$.fragment,e),f(re.$$.fragment,e),f(oe.$$.fragment,e),f(ae.$$.fragment,e),f(ne.$$.fragment,e),f(ie.$$.fragment,e),f(de.$$.fragment,e),f(ce.$$.fragment,e),We=!0)},o(e){u(W.$$.fragment,e),u(q.$$.fragment,e),u(B.$$.fragment,e),u(S.$$.fragment,e),u(j.$$.fragment,e),u(G.$$.fragment,e),u(Y.$$.fragment,e),u(J.$$.fragment,e),u(K.$$.fragment,e),u(Q.$$.fragment,e),u(X.$$.fragment,e),u(Z.$$.fragment,e),u(ee.$$.fragment,e),u(te.$$.fragment,e),u(re.$$.fragment,e),u(oe.$$.fragment,e),u(ae.$$.fragment,e),u(ne.$$.fragment,e),u(ie.$$.fragment,e),u(de.$$.fragment,e),u(ce.$$.fragment,e),We=!1},d(e){e&&(n(Te),n(Ce),n(De),n(Ee),n(U),n(Me),n(O),n(Ne),n(ke),n(i),n(He),n(Ae),n(se),n(Fe),n(y),n(Re),n(ze)),n(P),h(W,e),h(q,e),h(B),h(S),h(j),h(G),h(Y),h(J),h(K),h(Q),h(X),h(Z),h(ee),h(te),h(re),h(oe),h(ae,e),h(ne),h(ie),h(de),h(ce)}}}const lr='{"title":"VAE Image Processor","local":"vae-image-processor","sections":[{"title":"VaeImageProcessor","local":"diffusers.image_processor.VaeImageProcessor","sections":[],"depth":2},{"title":"VaeImageProcessorLDM3D","local":"diffusers.image_processor.VaeImageProcessorLDM3D","sections":[],"depth":2}],"depth":1}';function fr(Ft){return dr(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class br extends cr{constructor(P){super(),mr(this,P,fr,pr,nr,{})}}export{br as component};
